Usage for the current or previous UTC calendar month
GET
/v1/usagecurl -X GET 'https://api.embodiflow.io/v1/usage' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- periodstringAllowed valuescurrentprevious
- groupBystringAllowed valuesprojectcategory
Responses
Success
- dataobjectrequired
- periodstringrequiredAllowed valuescurrentprevious
- periodKeystringrequired
- periodStartstringrequired
- periodEndstringrequired
- groupBystringrequiredAllowed valuesprojectcategory
- groupsarray<UsageAggregationGroupDto>required
- totalsobjectrequired
Response example
{
"data": {
"period": "current",
"periodKey": "string",
"periodStart": "string",
"periodEnd": "string",
"groupBy": "project",
"groups": [
{
"projectId": "string",
"projectName": "string",
"category": "storage",
"quantity": "string",
"unit": "string",
"meters": [
{
"meterCode": "string",
"quantity": "string"
}
]
}
],
"totals": {
"storageGbMonth": {
"quantity": "string",
"metered": false
},
"processingMinutes": "string",
"gpuHours": "string",
"endpointHours": "string",
"other": "string"
}
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1